// file: $USFS/class/image_analysis/v6.1/imaga_dct_08.cc
//

// isip include files
//
#include "image_analysis.h"
#include "image_analysis_constants.h"

// method: dct_set_norm_cc
//
// arguments: none
//
// return: a logical_1 value indicating status
//
// this method computes the normalization matrix for normalizing the DCT
// coefficients
//
logical_1 Image_analysis::dct_set_norm_cc() {

  // set the matrix as identity matrix for the time being
  //
  for (int_4 i=0; i<dct_blk_size_d; i++) {
    for (int_4 j=0; j<dct_blk_size_d; j++) {
      dct_norm_d[i][j] = 1.0;
    }
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
